/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.filled

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.VectorAsset

val Icons.Filled.BookOnline: VectorAsset
    get() {
        if (icon != null) return icon!!
        icon = materialIcon {
            materialPath {
                moveTo(13.35f, 20.0f)
                lineToRelative(0.57f, 2.0f)
                horizontalLineTo(5.0f)
                curveToRelative(-1.11f, 0.0f, -2.0f, -0.9f, -2.0f, -2.0f)
                lineTo(3.01f, 6.0f)
                curveToRelative(0.0f, -1.1f, 0.88f, -2.0f, 1.99f, -2.0f)
                horizontalLineToRelative(1.0f)
                verticalLineTo(2.0f)
                horizontalLineToRelative(2.0f)
                verticalLineToRelative(2.0f)
                horizontalLineToRelative(8.0f)
                verticalLineTo(2.0f)
                horizontalLineToRelative(2.0f)
                verticalLineToRelative(2.0f)
                horizontalLineToRelative(1.0f)
                curveToRelative(1.1f, 0.0f, 2.0f, 0.9f, 2.0f, 2.0f)
                verticalLineToRelative(8.92f)
                lineToRelative(-2.0f, -0.57f)
                verticalLineTo(10.0f)
                horizontalLineTo(5.0f)
                verticalLineToRelative(10.0f)
                horizontalLineTo(13.35f)
                close()
                moveTo(21.71f, 21.29f)
                lineToRelative(-3.22f, -3.22f)
                lineTo(21.0f, 17.0f)
                lineToRelative(-7.0f, -2.0f)
                lineToRelative(2.0f, 7.0f)
                lineToRelative(1.08f, -2.51f)
                lineToRelative(3.22f, 3.22f)
                lineTo(21.71f, 21.29f)
                close()
                moveTo(12.0f, 17.0f)
                verticalLineToRelative(-5.0f)
                horizontalLineTo(7.0f)
                verticalLineToRelative(5.0f)
                horizontalLineTo(12.0f)
                close()
            }
        }
        return icon!!
    }

private var icon: VectorAsset? = null
