/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.filled

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.VectorAsset

val Icons.Filled.InvertColorsOff: VectorAsset
    get() {
        if (icon != null) return icon!!
        icon = materialIcon {
            materialPath {
                moveTo(20.65f, 20.87f)
                lineToRelative(-2.35f, -2.35f)
                lineToRelative(-6.3f, -6.29f)
                lineToRelative(-3.56f, -3.57f)
                lineToRelative(-1.42f, -1.41f)
                lineTo(4.27f, 4.5f)
                lineTo(3.0f, 5.77f)
                lineToRelative(2.78f, 2.78f)
                curveToRelative(-2.55f, 3.14f, -2.36f, 7.76f, 0.56f, 10.69f)
                curveTo(7.9f, 20.8f, 9.95f, 21.58f, 12.0f, 21.58f)
                curveToRelative(1.79f, 0.0f, 3.57f, -0.59f, 5.03f, -1.78f)
                lineToRelative(2.7f, 2.7f)
                lineTo(21.0f, 21.23f)
                lineToRelative(-0.35f, -0.36f)
                close()
                moveTo(12.0f, 19.59f)
                curveToRelative(-1.6f, 0.0f, -3.11f, -0.62f, -4.24f, -1.76f)
                curveTo(6.62f, 16.69f, 6.0f, 15.19f, 6.0f, 13.59f)
                curveToRelative(0.0f, -1.32f, 0.43f, -2.57f, 1.21f, -3.6f)
                lineTo(12.0f, 14.77f)
                verticalLineToRelative(4.82f)
                close()
                moveTo(12.0f, 5.1f)
                verticalLineToRelative(4.58f)
                lineToRelative(7.25f, 7.26f)
                curveToRelative(1.37f, -2.96f, 0.84f, -6.57f, -1.6f, -9.01f)
                lineTo(12.0f, 2.27f)
                lineToRelative(-3.7f, 3.7f)
                lineToRelative(1.41f, 1.41f)
                lineTo(12.0f, 5.1f)
                close()
            }
        }
        return icon!!
    }

private var icon: VectorAsset? = null
