/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.outlined

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.VectorAsset

val Icons.Outlined.GroupAdd: VectorAsset
    get() {
        if (icon != null) return icon!!
        icon = materialIcon {
            materialPath {
                moveTo(5.0f, 15.0f)
                verticalLineToRelative(-3.0f)
                horizontalLineToRelative(3.0f)
                verticalLineToRelative(-2.0f)
                lineTo(5.0f, 10.0f)
                lineTo(5.0f, 7.0f)
                lineTo(3.0f, 7.0f)
                verticalLineToRelative(3.0f)
                lineTo(0.0f, 10.0f)
                verticalLineToRelative(2.0f)
                horizontalLineToRelative(3.0f)
                verticalLineToRelative(3.0f)
                close()
                moveTo(12.0f, 13.75f)
                curveToRelative(-2.34f, 0.0f, -7.0f, 1.17f, -7.0f, 3.5f)
                lineTo(5.0f, 19.0f)
                horizontalLineToRelative(14.0f)
                verticalLineToRelative(-1.75f)
                curveToRelative(0.0f, -2.33f, -4.66f, -3.5f, -7.0f, -3.5f)
                close()
                moveTo(7.34f, 17.0f)
                curveToRelative(0.84f, -0.58f, 2.87f, -1.25f, 4.66f, -1.25f)
                reflectiveCurveToRelative(3.82f, 0.67f, 4.66f, 1.25f)
                lineTo(7.34f, 17.0f)
                close()
                moveTo(12.0f, 12.0f)
                curveToRelative(1.93f, 0.0f, 3.5f, -1.57f, 3.5f, -3.5f)
                reflectiveCurveTo(13.93f, 5.0f, 12.0f, 5.0f)
                reflectiveCurveTo(8.5f, 6.57f, 8.5f, 8.5f)
                reflectiveCurveTo(10.07f, 12.0f, 12.0f, 12.0f)
                close()
                moveTo(12.0f, 7.0f)
                curveToRelative(0.83f, 0.0f, 1.5f, 0.67f, 1.5f, 1.5f)
                reflectiveCurveTo(12.83f, 10.0f, 12.0f, 10.0f)
                reflectiveCurveToRelative(-1.5f, -0.67f, -1.5f, -1.5f)
                reflectiveCurveTo(11.17f, 7.0f, 12.0f, 7.0f)
                close()
                moveTo(17.0f, 12.0f)
                curveToRelative(1.93f, 0.0f, 3.5f, -1.57f, 3.5f, -3.5f)
                reflectiveCurveTo(18.93f, 5.0f, 17.0f, 5.0f)
                curveToRelative(-0.24f, 0.0f, -0.48f, 0.02f, -0.71f, 0.07f)
                curveToRelative(0.76f, 0.94f, 1.21f, 2.13f, 1.21f, 3.43f)
                curveToRelative(0.0f, 1.3f, -0.47f, 2.48f, -1.23f, 3.42f)
                curveToRelative(0.24f, 0.05f, 0.48f, 0.08f, 0.73f, 0.08f)
                close()
                moveTo(19.32f, 14.02f)
                curveToRelative(1.0f, 0.81f, 1.68f, 1.87f, 1.68f, 3.23f)
                lineTo(21.0f, 19.0f)
                horizontalLineToRelative(3.0f)
                verticalLineToRelative(-1.75f)
                curveToRelative(0.0f, -1.69f, -2.44f, -2.76f, -4.68f, -3.23f)
                close()
            }
        }
        return icon!!
    }

private var icon: VectorAsset? = null
