/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.rounded

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.VectorAsset

val Icons.Rounded.BookOnline: VectorAsset
    get() {
        if (icon != null) return icon!!
        icon = materialIcon {
            materialPath {
                moveTo(13.35f, 20.0f)
                lineToRelative(0.57f, 2.0f)
                horizontalLineTo(5.0f)
                curveToRelative(-1.11f, 0.0f, -2.0f, -0.9f, -2.0f, -2.0f)
                lineTo(3.01f, 6.0f)
                curveToRelative(0.0f, -1.1f, 0.88f, -2.0f, 1.99f, -2.0f)
                horizontalLineToRelative(1.0f)
                verticalLineTo(3.0f)
                curveToRelative(0.0f, -0.55f, 0.45f, -1.0f, 1.0f, -1.0f)
                horizontalLineToRelative(0.0f)
                curveToRelative(0.55f, 0.0f, 1.0f, 0.45f, 1.0f, 1.0f)
                verticalLineToRelative(1.0f)
                horizontalLineToRelative(8.0f)
                verticalLineTo(3.0f)
                curveToRelative(0.0f, -0.55f, 0.45f, -1.0f, 1.0f, -1.0f)
                horizontalLineToRelative(0.0f)
                curveToRelative(0.55f, 0.0f, 1.0f, 0.45f, 1.0f, 1.0f)
                verticalLineToRelative(1.0f)
                horizontalLineToRelative(1.0f)
                curveToRelative(1.1f, 0.0f, 2.0f, 0.9f, 2.0f, 2.0f)
                verticalLineToRelative(8.92f)
                lineToRelative(-2.0f, -0.57f)
                verticalLineTo(10.0f)
                horizontalLineTo(5.0f)
                verticalLineToRelative(10.0f)
                horizontalLineTo(13.35f)
                close()
                moveTo(21.0f, 20.59f)
                lineToRelative(-2.51f, -2.51f)
                lineToRelative(1.22f, -0.52f)
                curveToRelative(0.43f, -0.19f, 0.39f, -0.81f, -0.06f, -0.94f)
                lineToRelative(-4.78f, -1.37f)
                curveToRelative(-0.38f, -0.11f, -0.73f, 0.24f, -0.62f, 0.62f)
                lineToRelative(1.37f, 4.78f)
                curveToRelative(0.13f, 0.45f, 0.75f, 0.49f, 0.94f, 0.06f)
                lineToRelative(0.52f, -1.22f)
                lineTo(19.59f, 22.0f)
                curveToRelative(0.39f, 0.39f, 1.02f, 0.39f, 1.41f, 0.0f)
                lineToRelative(0.0f, 0.0f)
                curveTo(21.39f, 21.61f, 21.39f, 20.98f, 21.0f, 20.59f)
                close()
                moveTo(12.0f, 14.5f)
                lineTo(12.0f, 14.5f)
                curveToRelative(0.0f, -1.38f, -1.12f, -2.5f, -2.5f, -2.5f)
                horizontalLineToRelative(0.0f)
                curveTo(8.12f, 12.0f, 7.0f, 13.12f, 7.0f, 14.5f)
                verticalLineToRelative(0.0f)
                curveTo(7.0f, 15.88f, 8.12f, 17.0f, 9.5f, 17.0f)
                horizontalLineToRelative(0.0f)
                curveTo(10.88f, 17.0f, 12.0f, 15.88f, 12.0f, 14.5f)
                close()
            }
        }
        return icon!!
    }

private var icon: VectorAsset? = null
