/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.rounded

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.VectorAsset

val Icons.Rounded.EditLocation: VectorAsset
    get() {
        if (icon != null) return icon!!
        icon = materialIcon {
            materialPath {
                moveTo(18.11f, 1.77f)
                lineToRelative(0.96f, -0.96f)
                arcToRelative(0.996f, 0.996f, 0.0f, false, true, 1.41f, 0.0f)
                lineToRelative(0.71f, 0.71f)
                curveToRelative(0.39f, 0.39f, 0.39f, 1.02f, 0.0f, 1.41f)
                lineToRelative(-0.96f, 0.96f)
                lineToRelative(-2.12f, -2.12f)
                close()
                moveTo(17.11f, 2.77f)
                lineToRelative(2.12f, 2.12f)
                lineToRelative(-5.97f, 5.97f)
                arcToRelative(0.51f, 0.51f, 0.0f, false, true, -0.35f, 0.15f)
                lineTo(11.5f, 11.01f)
                curveToRelative(-0.28f, 0.0f, -0.5f, -0.22f, -0.5f, -0.5f)
                lineTo(11.0f, 9.1f)
                curveToRelative(0.0f, -0.13f, 0.05f, -0.26f, 0.15f, -0.35f)
                lineToRelative(5.96f, -5.98f)
                close()
                moveTo(15.13f, 2.64f)
                lineTo(9.79f, 7.98f)
                curveToRelative(-0.18f, 0.19f, -0.29f, 0.44f, -0.29f, 0.71f)
                verticalLineToRelative(2.83f)
                curveToRelative(0.0f, 0.55f, 0.45f, 1.0f, 1.0f, 1.0f)
                horizontalLineToRelative(2.83f)
                curveToRelative(0.27f, 0.0f, 0.52f, -0.11f, 0.71f, -0.29f)
                lineToRelative(5.33f, -5.33f)
                curveToRelative(0.4f, 0.98f, 0.63f, 2.09f, 0.63f, 3.31f)
                curveToRelative(0.0f, 3.18f, -2.45f, 6.92f, -7.34f, 11.23f)
                curveToRelative(-0.38f, 0.33f, -0.95f, 0.33f, -1.33f, 0.0f)
                curveTo(6.45f, 17.13f, 4.0f, 13.39f, 4.0f, 10.21f)
                curveToRelative(0.0f, -4.98f, 3.8f, -8.2f, 8.0f, -8.2f)
                curveToRelative(1.09f, 0.0f, 2.16f, 0.22f, 3.13f, 0.63f)
                close()
            }
        }
        return icon!!
    }

private var icon: VectorAsset? = null
