/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.rounded

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.VectorAsset

val Icons.Rounded.SettingsEthernet: VectorAsset
    get() {
        if (icon != null) return icon!!
        icon = materialIcon {
            materialPath {
                moveTo(7.0f, 6.12f)
                curveToRelative(-0.43f, -0.35f, -1.06f, -0.3f, -1.41f, 0.13f)
                lineToRelative(-4.24f, 5.11f)
                curveToRelative(-0.31f, 0.37f, -0.31f, 0.91f, 0.0f, 1.28f)
                lineToRelative(4.24f, 5.11f)
                curveToRelative(0.35f, 0.43f, 0.98f, 0.48f, 1.41f, 0.13f)
                curveToRelative(0.43f, -0.35f, 0.48f, -0.98f, 0.13f, -1.41f)
                lineTo(3.42f, 12.0f)
                lineToRelative(3.71f, -4.47f)
                curveToRelative(0.35f, -0.43f, 0.3f, -1.06f, -0.13f, -1.41f)
                close()
                moveTo(7.0f, 13.0f)
                horizontalLineToRelative(2.0f)
                verticalLineToRelative(-2.0f)
                lineTo(7.0f, 11.0f)
                verticalLineToRelative(2.0f)
                close()
                moveTo(17.0f, 11.0f)
                horizontalLineToRelative(-2.0f)
                verticalLineToRelative(2.0f)
                horizontalLineToRelative(2.0f)
                verticalLineToRelative(-2.0f)
                close()
                moveTo(11.0f, 13.0f)
                horizontalLineToRelative(2.0f)
                verticalLineToRelative(-2.0f)
                horizontalLineToRelative(-2.0f)
                verticalLineToRelative(2.0f)
                close()
                moveTo(17.0f, 6.12f)
                curveToRelative(-0.43f, 0.35f, -0.48f, 0.98f, -0.13f, 1.41f)
                lineTo(20.58f, 12.0f)
                lineToRelative(-3.71f, 4.47f)
                curveToRelative(-0.35f, 0.43f, -0.29f, 1.06f, 0.13f, 1.41f)
                curveToRelative(0.43f, 0.35f, 1.06f, 0.3f, 1.41f, -0.13f)
                lineToRelative(4.24f, -5.11f)
                curveToRelative(0.31f, -0.37f, 0.31f, -0.91f, 0.0f, -1.28f)
                lineToRelative(-4.24f, -5.11f)
                curveToRelative(-0.35f, -0.42f, -0.99f, -0.48f, -1.41f, -0.13f)
                close()
            }
        }
        return icon!!
    }

private var icon: VectorAsset? = null
