/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.rounded

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.VectorAsset

val Icons.Rounded.SettingsOverscan: VectorAsset
    get() {
        if (icon != null) return icon!!
        icon = materialIcon {
            materialPath {
                moveTo(11.62f, 5.99f)
                lineTo(10.0f, 8.0f)
                horizontalLineToRelative(4.0f)
                lineToRelative(-1.6f, -2.01f)
                curveToRelative(-0.2f, -0.25f, -0.58f, -0.25f, -0.78f, 0.0f)
                close()
                moveTo(18.0f, 10.0f)
                verticalLineToRelative(4.0f)
                lineToRelative(2.01f, -1.6f)
                curveToRelative(0.25f, -0.2f, 0.25f, -0.58f, 0.0f, -0.78f)
                lineTo(18.0f, 10.0f)
                close()
                moveTo(6.0f, 10.0f)
                lineToRelative(-2.01f, 1.62f)
                curveToRelative(-0.25f, 0.2f, -0.25f, 0.58f, 0.0f, 0.78f)
                lineTo(6.0f, 14.0f)
                verticalLineToRelative(-4.0f)
                close()
                moveTo(14.0f, 16.0f)
                horizontalLineToRelative(-4.0f)
                lineToRelative(1.62f, 2.01f)
                curveToRelative(0.2f, 0.25f, 0.58f, 0.25f, 0.78f, 0.0f)
                lineTo(14.0f, 16.0f)
                close()
                moveTo(21.0f, 3.0f)
                lineTo(3.0f, 3.0f)
                curveToRelative(-1.1f, 0.0f, -2.0f, 0.9f, -2.0f, 2.0f)
                verticalLineToRelative(14.0f)
                curveToRelative(0.0f, 1.1f, 0.9f, 2.0f, 2.0f, 2.0f)
                horizontalLineToRelative(18.0f)
                curveToRelative(1.1f, 0.0f, 2.0f, -0.9f, 2.0f, -2.0f)
                lineTo(23.0f, 5.0f)
                curveToRelative(0.0f, -1.1f, -0.9f, -2.0f, -2.0f, -2.0f)
                close()
                moveTo(20.0f, 19.01f)
                lineTo(4.0f, 19.01f)
                curveToRelative(-0.55f, 0.0f, -1.0f, -0.45f, -1.0f, -1.0f)
                lineTo(3.0f, 5.99f)
                curveToRelative(0.0f, -0.55f, 0.45f, -1.0f, 1.0f, -1.0f)
                horizontalLineToRelative(16.0f)
                curveToRelative(0.55f, 0.0f, 1.0f, 0.45f, 1.0f, 1.0f)
                verticalLineToRelative(12.02f)
                curveToRelative(0.0f, 0.55f, -0.45f, 1.0f, -1.0f, 1.0f)
                close()
            }
        }
        return icon!!
    }

private var icon: VectorAsset? = null
