/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.sharp

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.VectorAsset

val Icons.Sharp.InvertColorsOff: VectorAsset
    get() {
        if (icon != null) return icon!!
        icon = materialIcon {
            materialPath {
                moveTo(12.0f, 5.1f)
                verticalLineToRelative(4.05f)
                lineToRelative(7.4f, 7.4f)
                curveToRelative(1.15f, -2.88f, 0.59f, -6.28f, -1.75f, -8.61f)
                lineTo(12.0f, 2.27f)
                lineTo(8.56f, 5.71f)
                lineToRelative(1.41f, 1.41f)
                lineTo(12.0f, 5.1f)
                close()
                moveTo(4.4f, 4.37f)
                lineTo(2.99f, 5.78f)
                lineToRelative(2.78f, 2.78f)
                curveToRelative(-2.54f, 3.14f, -2.35f, 7.75f, 0.57f, 10.68f)
                curveTo(7.9f, 20.8f, 9.95f, 21.58f, 12.0f, 21.58f)
                curveToRelative(1.78f, 0.0f, 3.56f, -0.59f, 5.02f, -1.77f)
                lineToRelative(2.7f, 2.7f)
                lineToRelative(1.41f, -1.41f)
                lineTo(4.4f, 4.37f)
                close()
                moveTo(12.0f, 19.59f)
                curveToRelative(-1.6f, 0.0f, -3.11f, -0.62f, -4.24f, -1.76f)
                curveTo(6.62f, 16.69f, 6.0f, 15.19f, 6.0f, 13.59f)
                curveToRelative(0.0f, -1.32f, 0.43f, -2.56f, 1.21f, -3.59f)
                lineTo(12.0f, 14.79f)
                verticalLineToRelative(4.8f)
                close()
            }
        }
        return icon!!
    }

private var icon: VectorAsset? = null
