/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.sharp

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.VectorAsset

val Icons.Sharp.PhonelinkOff: VectorAsset
    get() {
        if (icon != null) return icon!!
        icon = materialIcon {
            materialPath {
                moveTo(4.56f, 4.0f)
                lineToRelative(-2.5f, -2.49f)
                lineTo(4.56f, 4.0f)
                close()
                moveTo(24.0f, 8.0f)
                horizontalLineToRelative(-8.0f)
                verticalLineToRelative(4.61f)
                lineToRelative(2.0f, 2.0f)
                lineTo(18.0f, 10.0f)
                horizontalLineToRelative(4.0f)
                verticalLineToRelative(7.0f)
                horizontalLineToRelative(-1.61f)
                lineToRelative(3.0f, 3.0f)
                lineTo(24.0f, 20.0f)
                close()
                moveTo(22.0f, 6.0f)
                lineTo(22.0f, 4.0f)
                lineTo(7.39f, 4.0f)
                lineToRelative(2.0f, 2.0f)
                close()
                moveTo(2.06f, 1.51f)
                lineTo(0.65f, 2.92f)
                lineTo(2.0f, 4.27f)
                lineTo(2.0f, 17.0f)
                lineTo(0.0f, 17.0f)
                verticalLineToRelative(3.0f)
                horizontalLineToRelative(17.73f)
                lineToRelative(2.35f, 2.35f)
                lineToRelative(1.41f, -1.41f)
                lineTo(2.06f, 1.51f)
                close()
                moveTo(4.0f, 17.0f)
                lineTo(4.0f, 6.27f)
                lineTo(14.73f, 17.0f)
                lineTo(4.0f, 17.0f)
                close()
            }
        }
        return icon!!
    }

private var icon: VectorAsset? = null
