/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.twotone

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.VectorAsset

val Icons.TwoTone.FastForward: VectorAsset
    get() {
        if (icon != null) return icon!!
        icon = materialIcon {
            materialPath(fillAlpha = 0.3f, strokeAlpha = 0.3f) {
                moveTo(15.0f, 9.86f)
                lineToRelative(0.0f, 4.28f)
                lineToRelative(3.03f, -2.14f)
                close()
            }
            materialPath(fillAlpha = 0.3f, strokeAlpha = 0.3f) {
                moveTo(6.0f, 9.86f)
                lineToRelative(0.0f, 4.28f)
                lineToRelative(3.03f, -2.14f)
                close()
            }
            materialPath {
                moveTo(4.0f, 18.0f)
                lineToRelative(8.5f, -6.0f)
                lineTo(4.0f, 6.0f)
                verticalLineTo(18.0f)
                close()
                moveTo(6.0f, 9.86f)
                lineTo(9.03f, 12.0f)
                lineTo(6.0f, 14.14f)
                verticalLineTo(9.86f)
                close()
            }
            materialPath {
                moveTo(21.5f, 12.0f)
                lineTo(13.0f, 6.0f)
                verticalLineToRelative(12.0f)
                lineTo(21.5f, 12.0f)
                close()
                moveTo(15.0f, 9.86f)
                lineTo(18.03f, 12.0f)
                lineTo(15.0f, 14.14f)
                verticalLineTo(9.86f)
                close()
            }
        }
        return icon!!
    }

private var icon: VectorAsset? = null
